JsDoc Reference - SmartCardHSMKeySpecGenerator

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class SmartCardHSMKeySpecGenerator

Class implementing an encoder for the C-Data required in GENERATE ASYMMETRIC KEY PAIR
Defined in: SmartCardHSM.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SmartCardHSMKeySpecGenerator(keytype, keysizeOrDP) Create a key specification generator instance

Method Summary
Method Attributes | Method Name and Description
--- | ---
| encode() Return the encoded key specification
| setAlgorithms(algorithms) Set algorithm list
| setCHR(CHR) Set certificate holder reference for key
| setInnerCAR(CAR) Set certificate holder reference of CA this request shall be sent to
| setKeyDomain(keyDomain) Set key domain
| setKeyUseCounter(keyUseCounter) Set key use counter for key
| setOuterCAR(CAR) Set holder reference of the key signing this request
| setWrappingKey(wrappingKey) Set wrapping key

Class Detail
SmartCardHSMKeySpecGenerator(keytype, keysizeOrDP)
Create a key specification generator instance

Parameters:
{Number} keytype
  must be either Crypto.RSA, Crypto.EC or Crypto.AES
{Number/Key} keysizeOrDP
  must be 1024, 1536, 2048, 3072 or 4096 for RSA, 128, 192 or 256 for AES and key object with Key.ECC_CURVE_OID set for EC

Method Detail
{ByteString} encode()
Return the encoded key specification

Returns:
  the encoded C-Data for GENERATE ASYMMETRIC KEY PAIR

setAlgorithms(algorithms)
Set algorithm list

Parameters:
{ByteString} algorithms
  the list of algorithms allowed for this key

setCHR(CHR)
Set certificate holder reference for key

Parameters:
{PublicKeyReference} CHR
  certificate holder reference

setInnerCAR(CAR)
Set certificate holder reference of CA this request shall be sent to

Parameters:
{PublicKeyReference} CAR
  certificate holder reference

setKeyDomain(keyDomain)
Set key domain

Parameters:
{Number} keyDomain
  the key domain to which the key shall be added

setKeyUseCounter(keyUseCounter)
Set key use counter for key

Parameters:
{keyUseCounter} keyUseCounter
  in the range 1 to 2^64 - 2

setOuterCAR(CAR)
Set holder reference of the key signing this request

Parameters:
{PublicKeyReference} CAR
  certificate holder reference

setWrappingKey(wrappingKey)
Set wrapping key

Parameters:
{Number} wrappingKey
  the key to used for wrapping a newly generated symmetric key

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)